#ifndef POWER_SUPPLY_12V_H_
#define POWER_SUPPLY_12V_H_

#include "PwrSupply.h"
#include "SharedINA.h"

class C_PwrSupply_12V : private C_SharedINA, public C_PwrSupply {
   public:
    C_PwrSupply_12V() { ; }

    void Init() override;
    void SetEnable(bool value) override;
    void ToggleEnable() override;
    bool IsEnabled() override;

    void CheckFuse() override;
    void Tasks() override;

    void SetFuse(float maxCurrent) { fuseValue = maxCurrent; }
    float GetFuseValue() { return fuseValue; }

    static constexpr float FUSE_CURRENT_12V = 7.5f;
    static float constexpr FUSE_CURRENT_12V_WITH_LAPTOP_5A = 1.5f;

   private:
    float fuseValue;
};

#endif